Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter
Interface PropertyIsBetween

All Superinterfaces:
  Filter

    @XmlElement(value="PropertyIsBetween")
    public interface PropertyIsBetween

extends Filter

A compact way of encoding a range check.

The lower and upper boundary values are inclusive.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Filter
`EXCLUDE, INCLUDE`

Method Summary
`Expression` | `getExpression()` Returns the expression to be compared by this operator.
`Expression` | `getLowerBoundary()` Returns the lower bounds (inclusive) an an expression.
`Expression` | `getUpperBoundary()` Returns the upper bounds (inclusive) as an expression.

Methods inherited from interface Filter
`accept, evaluate`

Method Detail

### getExpression

    @XmlElement(value="expression")
    Expression getExpression()

  Returns the expression to be compared by this operator.

### getLowerBoundary

    @XmlElement(value="LowerBoundary")
    Expression getLowerBoundary()

  Returns the lower bounds (inclusive) an an expression.

### getUpperBoundary

    @XmlElement(value="UpperBoundary")
    Expression getUpperBoundary()

  Returns the upper bounds (inclusive) as an expression.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.